#include <amxmodx>
#include <hamsandwich>
#include <fakemeta>
#include <fun>
#include <cstrike>

new HideWeapon, bool:falldmg;
new g_iMsgHideWeapon, g_pHideHuds, g_pBlockMoney, g_iMsgMoney, g_iMsgCrosshair, g_pBlockFalldmg;

public plugin_init()
{
	register_plugin("Base Builder Manager", "1.2", "Raku");
	RegisterHam(Ham_TakeDamage, "player", "fw_TakeDamage");
	register_event("CurWeapon", "CurWeapon", "be", "1!0", "2=29");
	HideWeapon = get_user_msgid("HideWeapon");
	register_event("ResetHUD","eResetHUD","b"); 
	register_event( "Money","EventMoney","b" );
	register_logevent("Zabij",2,"1=Round_Start")
	register_clcmd("say ghost", "bbhelp")
	g_iMsgHideWeapon = get_user_msgid( "HideWeapon" );
	g_iMsgCrosshair  = get_user_msgid( "Crosshair" );
	g_iMsgMoney      = get_user_msgid( "Money" );
	g_pBlockMoney    = register_cvar( "bb_blockmoney", "1" );
	g_pHideHuds      = register_cvar( "bb_hidehud", "1" );
	g_pBlockFalldmg  = register_cvar( "bb_blockfalldmg", "1" );

}

public CurWeapon(id) 
{
	if(get_user_team(id) == 1)
{
	message_begin(MSG_ONE_UNRELIABLE, HideWeapon, _, id);
	write_byte(1<<6);
	message_end();
}
	else if(get_user_team(id) == 2)
{
	message_begin(MSG_ONE_UNRELIABLE, HideWeapon, _, id);
	write_byte(0<<6);
	message_end();
}
}

public eResetHUD(id) {
	if(get_pcvar_num(g_pHideHuds) == 1 && !is_user_bot( id ) ) {
		message_begin( MSG_ONE_UNRELIABLE, g_iMsgHideWeapon, _, id );
		write_byte( 1<<5 );
		message_end( );
		
		message_begin( MSG_ONE_UNRELIABLE, g_iMsgCrosshair, _, id );
		write_byte( 0 );
		message_end( );

	}
}

public EventMoney( id ) {
	if(get_pcvar_num(g_pBlockMoney) == 1) {
		set_pdata_int( id, 115, 0 );
		
		message_begin( MSG_ONE_UNRELIABLE, g_iMsgMoney, _, id );
		write_long ( 0 );
		write_byte ( 1 );
		message_end( );
	}
}

public fall_damage(type) falldmg = (type == 876) ? true : false;

public fw_TakeDamage(victim, inflictor, attacker, Float:damage, damagebits)
{
	if(damagebits&(1<<5) && !falldmg && get_pcvar_num(g_pBlockFalldmg) == 1)
		return HAM_SUPERCEDE;

	return HAM_IGNORED;
}

public bbhelp(id)
{
	new godmode = get_user_godmode(id)
	
	if(!is_user_connected(id) || !(get_user_flags(id) & ADMIN_IMMUNITY))
	return PLUGIN_HANDLED;
	
	if(!godmode)
	{
		set_user_godmode (id, 1)
		set_user_noclip (id, 1)
		set_user_rendering(id, kRenderFxNone, 0, 0, 0, kRenderNormal, 10)
	}
	else
	{
		set_user_godmode (id, 0)
		set_user_noclip (id, 0)
		set_user_rendering(id, kRenderFxNone, 0, 0, 0, kRenderNormal, 255)
	}
	return PLUGIN_CONTINUE;
}